#!/bin/sh

#make gen_sfd

#           rho [g/cm^3] d1 [km]  d2    d3   qa    qb    qc    qd    dmin        dmax   d_norm  n_norm  boulder_mfactor
#./gen_sfd  3.0          100.     15.   4.0  -4.55 -2.9  -3.6  -3.6  0.000987654 4000.  100.    280.    1.5  > sfd1.dat	# MB-like, more populous to get fit @ t = 4 Gyr, adjusted scaling law
./gen_sfd4  3.0          100.     15.   3.6  -4.55 -2.5  -3.6  -2.7  0.000987654 4000.  100.    250.    1.5  > sfd1.dat	# MB-like, less populous to get fit @ t = 0.9 Gyr, adjusted scaling law
#./gen_sfd4  3.0          6.0      1.0   0.5  -4.8  -4.8  -3.6  -2.7  0.000987654 4000.  6.0     110.    1.5  > sfd2.dat	# initial Juno
./gen_sfd4  3.0          6.0      1.0   0.5  -4.6  -4.6  -3.6  -2.7  0.000987654 4000.  6.0     130.    1.5  > sfd2.dat	# initial Juno
./gen_sfd4  3.0          6.0      3.0   3.0  -3.3  -3.3  -3.6  -2.7  0.000987654 4000.  6.0     0.      1.5  > sfd3.dat	# initial NEA

./realsfd.awk  < sfd1.dat > sfd1.dat_EDITED
./realgefion.awk < sfd2.dat > sfd2.dat_EDITED
./realnea.awk  < sfd3.dat > sfd3.dat_EDITED

./gen_ic < gen_ic.in
./gen_sfd.plt

exit




