#!/usr/bin/gnuplot

load "D.lab"

S = 4*pi*(D/2.)**2
f(N)=N

set term x11

set xl "t [My]"
set yl "D_c [km]"

p "craters.out2" u 3:6 w lp,\
  "<awk '{ i++; }(NR % 10==0){ print $0,i; }' craters.out2" u 3:6:(sprintf("%.0f",$9+0.0)) w labels,\
  40.0 w l lt 0

pa -1

set term png small
set out "craters_hist3.png"
rep

